libgimpprint API Reference: include/gimp-print/gimp-print-intl-internal.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/gimp-print-intl-internal.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: gimp-print-intl-internal_8h-source.html,v 1.1.1.2 2004/12/22 23:49:03 jlovell Exp $"
    00003  *
    00004  *   I18N header file for the gimp-print.
    00005  *
    00006  *   Copyright 1997-2000 Michael Sweet (mike@easysw.com),
    00007  *      Robert Krawitz (rlk@alum.mit.edu) and Michael Natterer (mitch@gimp.org)
    00008  *
    00009  *   This program is free software; you can redistribute it and/or modify it
    00010  *   under the terms of the GNU General Public License as published by the Free
    00011  *   Software Foundation; either version 2 of the License, or (at your option)
    00012  *   any later version.
    00013  *
    00014  *   This program is distributed in the hope that it will be useful, but
    00015  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00016  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00017  *   for more details.
    00018  *
    00019  *   You should have received a copy of the GNU General Public License
    00020  *   along with this program; if not, write to the Free Software
    00021  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00022  */
    00023
    00029 #ifndef GIMP_PRINT_INTL_INTERNAL_H
    00030 #define GIMP_PRINT_INTL_INTERNAL_H
    00031
    00032 #ifdef __cplusplus
    00033 extern "C" {
    00034 #endif
    00035
    00051 #ifdef INCLUDE_LOCALE_H
    00052 INCLUDE_LOCALE_H
    00053 #else
    00054 #include <locale.h>
    00055 #endif
    00056
    00057 #if defined ENABLE_NLS && !defined DISABLE_NLS
    00058 #    include <libintl.h>
    00060 #    define _(String) dgettext (PACKAGE, String)
    00061 #    undef gettext
    00062
    00063 #    define gettext(String) dgettext (PACKAGE, String)
    00064 #    ifdef gettext_noop
    00065
    00066 #        define N_(String) gettext_noop (String)
    00067 #    else
    00068
    00069 #        define N_(String) (String)
    00070 #    endif
    00071 #else /* ifndef ENABLE_NLS */
    00072 /* Stubs that do something close enough.  */
    00073 #    define textdomain(String) (String)
    00074 #    define gettext(String) (String)
    00075 #    define dgettext(Domain,Message) (Message)
    00076 #    define dcgettext(Domain,Message,Type) (Message)
    00077 #    define bindtextdomain(Domain,Directory) (Domain)
    00078 #    define _(String) (String)
    00079 #    define N_(String) (String)
    00080 #endif
    00081
    00084 #ifdef __cplusplus
    00085   }
    00086 #endif
    00087
    00088 #endif /* GIMP_PRINT_INTL_INTERNAL_H */